Subject: Re: [bug#54434] [PATCH 3/6] gnu: XFCE: Remove input labels.

From: Maxime Devos <[email-masked]>
Date: Thu, 17 Mar 2022 20:48:39 +0100

'Brendan Tildesley schreef op do 17-03-2022 om 19:04 [+1100]:
> +     (list tzdata ;; For fix-tzdata-path phase only.

FWIW, xfce4-pane shouldn't be including tzdata in the first place. 
It's a package like nss-certs and le-certs: it contains facts about the
outside world that are independent of the current installation, so it
needs to look in environment variables ($TZDIR) instead, possibly with
a fallback to /usr/share/zoneinfo (for foreign distros and --pure).

More concretely, if you're using
"guix time-machine --commit=... -- shell xfce-FOO -- xfce-FOO", then
unless 'tzdata' is explicitly passed to 'shell', xfce-FOO needs to look
into $TZDIR or /usr/share/zoneinfo, such that dates are still
encoded/decoded correctly.

Greetings,
Maxime.